module.exports = class  {
  constructor(options){
      let Shell = require('node-powershell');
      this.ps = new Shell(options);
      this.commands = [];
  }
  asyncAddCommand(command){
    this.commands.push(command);
    this.ps.addCommand(command);
  }
  getHistory(){
      return this.ps.history;
  }
  async asyncInvoke(){
      this.ps.invoke();
      return new Promise(resolve => {
          this.ps.on('output', response => resolve(response));
      });
  }
};
